import { ElementRef, EventEmitter, NgZone, OnDestroy } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * ResizeObserverDirective is used to detect element resizes independent from a window resize event
 */
export declare class ResizeObserverDirective implements OnDestroy {
    private ngZone;
    resize: EventEmitter<ResizeObserverEntry>;
    set resizeObserverEnabled(val: boolean);
    get enabled(): boolean;
    private resizeElement;
    private resizeObserver;
    private _enabled;
    constructor(element: ElementRef, ngZone: NgZone);
    ngOnDestroy(): void;
    private attach;
    private detach;
    private createResizeObserver;
    static ɵfac: i0.ɵɵFactoryDeclaration<ResizeObserverDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ResizeObserverDirective, "[resizeObserver]", never, { "resizeObserverEnabled": { "alias": "resizeObserverEnabled"; "required": false; }; }, { "resize": "resize"; }, never, never, false, never>;
}
